### Navigation

- next
- previous |
- S3QL 1.13.1 documentation »
- Manpages »

# The umount.s3ql command

## Synopsis

    umount.s3ql [options] <mount point>

## Description

The umount.s3ql command unmounts the S3QL file system mounted in the directory mount point and blocks until all data has been uploaded to the storage backend.

Only the user who mounted the file system with mount.s3ql is able to unmount it with umount.s3ql. If you are root and want to unmount an S3QL file system mounted by an ordinary user, you have to use the fusermount -u or umount command instead. Note that these commands do not block until all data has been uploaded, so if you use them instead of umount.s3ql then you should manually wait for the mount.s3ql process to terminate before shutting down the system.

## Options

The umount.s3ql command accepts the following options.

> `--debug` | activate debugging output
> `--quiet` | be really quiet
> `--version` | just print program version and exit
> `--lazy, -z` | Lazy umount. Detaches the file system immediately, even if there are still open files. The data will be uploaded in the background once all open files have been closed.

## Exit Status

umount.s3ql returns exit code 0 if the operation succeeded and 1 if some error occurred.

## See Also

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are `/usr/share/doc/s3ql` or `/usr/local/doc/s3ql`.

### Navigation

- next
- previous |
- S3QL 1.13.1 documentation »
- Manpages »